Name:           python-pytz-deprecation-shim
Version:        0.1.0.post0
Release:    1%{?dist}
Summary:        Shims to help you safely remove pytz

License:        Apache-2.0
URL:            https://github.com/pganssle/pytz-deprecation-shim
Source0:         %{pypi_source pytz_deprecation_shim}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  tzdata

%global common_description %{expand:
pytz has served the Python community well for many years, but it is no longer
the best option for providing time zones. pytz has a non-standard interface
that is very easy to misuse; this interface was necessary when pytz was
created, because datetime had no way to represent ambiguous datetimes, but this
was solved in Python 3.6, which added a fold attribute to datetimes in PEP 495.
With the addition of the zoneinfo module in Python 3.9 (PEP 615), there has
never been a better time to migrate away from pytz.

However, since pytz time zones are used very differently from a standard
tzinfo, and many libraries have built pytz zones into their standard time zone
interface (and thus may have users relying on the existence of the localize and
normalize methods); this library provides shim classes that are compatible with
both PEP 495 and pytz’s interface, to make it easier for libraries to deprecate
pytz.}

%description %{common_description}


%package -n python3-pytz-deprecation-shim
Summary:        %{summary}

Requires:       tzdata

%description -n python3-pytz-deprecation-shim %{common_description}


%prep
%autosetup -n pytz_deprecation_shim-%{version}

sed -r -i -e '/\bpytest-cov\b/d' -e 's/--cov=[^[:blank:]}]+//g' tox.ini

sed -r -i -e '/\btzdata\b/d' setup.cfg


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytz_deprecation_shim


%check
%tox


%files -n python3-pytz-deprecation-shim -f %{pyproject_files}
%license LICENSE
%license licenses/LICENSE_APACHE
%doc CHANGELOG.rst
%doc README.rst


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0.post0-1
- initial build
